Summary:	An archive plugin for the Thunar File Manager
Name:		thunar-archive-plugin
Version:	0.3.1
Release: 	%mkrel 3
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://foo-projects.org/~benny/projects/thunar-archive-plugin
Source0:	%{name}-%{version}.tar.xz
BuildRequires:	thunar-devel >= 1.2.0
BuildRequires:	intltool
BuildRequires:	exo-devel
BuildRequires:	gettext-devel
BuildRequires:	libpthread-stubs
BuildRequires:	glib2-devel 
BuildRequires:	gtk2-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The thunar-archive-plugin is a plugin for the Thunar File Manager, which
adds archive operations to the file context menus. Using this plugin you
will be able to extract and create archive files from within Thunar using
a single click.
The plugin now supports a variety of archive managers through a generic
interface, that requires the archive manager to install a .desktop file
as usual, that lists the supported mime types, and a .tap file that acts
as a wrapper script to invoke the archive manager with the appropriate
parameters for the create, extract-here and extract-to actions.
Wrapper scripts for file-roller (the GNOME archive manager) and ark (the
KDE archive manager) have been added. Xarchiver, the Xfce archive manager,
will include an appropriate xarchiver.tap file in the next release. 

%prep
%setup -q

./autogen.sh --prefix=/usr --libdir=%{_libdir}

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# create symlink for file-roller > 3.12.0
pushd %{buildroot}%{_libexecdir}/%{name}
ln -s gnome-file-roller.tap org.gnome.FileRoller.tap
popd
# remove .la file
rm -f %{buildroot}%{_libdir}/thunarx-2/*.la


%find_lang %{name}


%post
%update_icon_cache hicolor
update-desktop-database

%postun
%clean_icon_cache hicolor


%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS NEWS README THANKS 
%{_libdir}/thunarx-2/*
%{_libexecdir}/%{name}
%{_iconsdir}/hicolor/*/apps/*


%changelog
* Fri Dec 15 2017 bb2 <bb2> - 0.3.1-3pclos2017
- rebuild against updates

* Sun Feb 01 2015 ghostbunny <ghostbunny at gmx dot de> 0.3.1-2pclos2015
- add new symlink for the support of file-roller > 3.12.0
- remove unwanted .la file
- add missing BR gettext-devel, libpthread-stubs, gtk2-devel, glib2-devel
- add an update-desktop-database to the post scriptlet to get the supported and installed
  archive managers available to the plugin

* Sat May 11 2013 ghostbunny <ghostbunny at gmx dot de> 0.3.1-1pclos2013
- 0.3.1
- added BR intltool, exo-devel

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 0.3.0-2pclos2012
- rebuild

* Thu Mar 24 2011 Sproggy <desproggster at gmail.com> 0.3.0-1pclos2011
- update xfce 4.8

